com.sun.jna.platform.win32

## Class NtDllUtil

- java.lang.Object
- - com.sun.jna.platform.win32.NtDllUtil

    public abstract class NtDllUtil
    extends java.lang.Object

NtDll Utility API.

Author:
  dblock[at]dblock.org

### Constructor Summary

Constructors
Constructor and Description
`NtDllUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getKeyName(WinReg.HKEY hkey)` Retrieve the name of an opened registry key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NtDllUtil

    public NtDllUtil()

### Method Detail

#### getKeyName

    public static java.lang.String getKeyName(WinReg.HKEY hkey)

Retrieve the name of an opened registry key.

Parameters:
  `hkey` - Opened registry key.
Returns:
  Basic key name, not including node information.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.